package com.fs.ad.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.fs.ad.domain.AdYoukuAccount;

/**
 * 优酷广告账号Mapper接口
 * 
 * @author fs
 * @date 2025-02-19
 */
public interface AdYoukuAccountMapper extends BaseMapper<AdYoukuAccount>{
    /**
     * 查询优酷广告账号
     * 
     * @param id 优酷广告账号主键
     * @return 优酷广告账号
     */
    AdYoukuAccount selectAdYoukuAccountById(Long id);

    /**
     * 查询优酷广告账号列表
     * 
     * @param adYoukuAccount 优酷广告账号
     * @return 优酷广告账号集合
     */
    List<AdYoukuAccount> selectAdYoukuAccountList(AdYoukuAccount adYoukuAccount);

    /**
     * 新增优酷广告账号
     * 
     * @param adYoukuAccount 优酷广告账号
     * @return 结果
     */
    int insertAdYoukuAccount(AdYoukuAccount adYoukuAccount);

    /**
     * 修改优酷广告账号
     * 
     * @param adYoukuAccount 优酷广告账号
     * @return 结果
     */
    int updateAdYoukuAccount(AdYoukuAccount adYoukuAccount);

    /**
     * 删除优酷广告账号
     * 
     * @param id 优酷广告账号主键
     * @return 结果
     */
    int deleteAdYoukuAccountById(Long id);

    /**
     * 批量删除优酷广告账号
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteAdYoukuAccountByIds(Long[] ids);
}
